[users] problem with `yum update'

Pawel null7 at wp.pl
Wed Mar 29 09:33:42 CEST 2006


Hallo,
I am running fc3 and after invoking `yum update' I get the following trace:

prompt # yum update
Setting up Update Process
Setting up Repos
jpackage-fc               100% |=========================|  951 B    00:00
jpackage-generic          100% |=========================|  951 B    00:00
rpmforge                  100% |=========================| 1.1 kB    00:00
extras                    100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
greysector-all            100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
greysector                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
jpackage-f: ################################################## 20/20
primary.xml.gz            100% |=========================| 351 kB    00:01
MD Read   : ################################################## 1529/1529
jpackage-g: ################################################## 1529/1529
rpmforge  : ################################################## 4214/4214
extras    : ################################################## 2285/2285
updates-re: ################################################## 910/910
greysector: ################################################## 58/58
base      : ################################################## 2622/2622
greysector: ################################################## 142/142
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package mtr.i386 2:0.69-1.1.fc3.rf set to be updated
---> Package libdvdcss.i386 0:1.2.9-2.fc3.rf set to be updated
---> Package dvgrab.i386 0:1.6-1.1.fc3.rf set to be updated
---> Package rhythmbox.i386 0:0.8.8-2.1.fc3.rf set to be updated
---> Package faad2-devel.i386 0:2.0-6.fc3.rf set to be updated
---> Package perl-XML-LibXML.i386 0:1.58-1.1.fc3.rf set to be updated
---> Package checkinstall.i386 0:1.6.0-2.1.fc3.rf set to be updated
---> Package gsm-devel.i386 0:1.0.10-6.fc3.rf set to be updated
---> Package iptstate.i386 0:1.4-1.1.fc3.rf set to be updated
---> Package libdca.i386 0:0.0.2-3.fc3.rf set to be updated
---> Package faad2.i386 0:2.0-6.fc3.rf set to be updated
---> Package gsm.i386 0:1.0.10-6.fc3.rf set to be updated
---> Package distcc-gui.i386 0:2.18.3-2.1.fc3.rf set to be updated
---> Package mpeg2dec.i386 0:0.4.0-8b.fc3.rf set to be updated
---> Package freetype.i386 0:2.1.9-1.2.1.fc3.rf set to be updated
---> Package rar.i586 0:3.5.1-1.1.fc3.rf set to be updated
---> Package syslinux.i386 0:3.11-1.1.fc3.rf set to be updated
---> Package lame-devel.i386 0:3.96.1-4.fc3.rf set to be updated
---> Package libquicktime.i586 0:0.9.8-2.fc3.rf set to be updated
---> Package libfame.i386 0:0.9.1-9.fc3.rf set to be updated
---> Package rsync.i386 0:2.6.7-2.fc3.rf set to be updated
---> Package xerces-c.i386 0:2.7.0-1.1.fc3.rf set to be updated
---> Package perl-XML-NamespaceSupport.noarch 0:1.09-1.1.fc3.rf set to be updated
---> Package lftp.i386 0:3.4.2-1.1.fc3.rf set to be updated
---> Package libquicktime-devel.i586 0:0.9.8-2.fc3.rf set to be updated
---> Package perl-Convert-ASN1.noarch 0:0.19-1.1.fc3.rf set to be updated
---> Package distcc.i386 0:2.18.3-2.1.fc3.rf set to be updated
---> Package dante-server.i386 0:1.1.18-1.1.fc3.rf set to be updated
---> Package a52dec.i386 0:0.7.4-8.fc3.rf set to be updated
---> Package freetype-devel.i386 0:2.1.9-1.2.1.fc3.rf set to be updated
---> Package xmms-aac.i386 0:2.0-6.fc3.rf set to be updated
---> Package dante.i386 0:1.1.18-1.1.fc3.rf set to be updated
---> Package distcc-server.i386 0:2.18.3-2.1.fc3.rf set to be updated
---> Package speex.i386 0:1.0.5-1.1.fc3.rf set to be updated
---> Package a52dec-devel.i386 0:0.7.4-8.fc3.rf set to be updated
---> Package lame.i386 2:3.96.1-4.gs set to be updated
---> Package transcode.i386 0:1.0.2-5.fc3.rf set to be updated
---> Package xmms-mp3.i386 1:1.2.10-15.fc3.rf set to be updated
---> Package dante-devel.i386 0:1.1.18-1.1.fc3.rf set to be updated
---> Package unrar.i386 0:3.5.4-2.fc3.rf set to be updated
---> Package xerces-c-devel.i386 0:2.7.0-1.1.fc3.rf set to be updated
---> Package libdvdread.i386 0:0.9.5-2.fc3.rf set to be updated
---> Package perl-XML-SAX.noarch 0:0.13-1.1.fc3.rf set to be updated
---> Package nmap.i386 2:4.01-2.1.fc3.rf set to be updated
--> Running transaction check
--> Processing Dependency: compat-gcc-c++ for package: distcc
--> Processing Dependency: compat-gcc for package: distcc
--> Processing Dependency: perl(String::CRC32) for package: lftp
--> Processing Dependency: gcc4 for package: distcc
--> Processing Dependency: lame = 3.96.1 for package: lame-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package compat-gcc-c++.i386 0:8-3.3.4.2 set to be updated
---> Package perl-String-CRC32.i386 0:1.3-1.1.fc3.rf set to be updated
---> Package gcc4.i386 0:4.0.0-0.41.fc3 set to be updated
---> Package compat-gcc.i386 0:8-3.3.4.2 set to be updated
--> Running transaction check
--> Processing Dependency: compat-libstdc++-devel = 8 for package: compat-gcc-c++
--> Processing Dependency: lame = 3.96.1 for package: lame-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package compat-libstdc++-devel.i386 0:8-3.3.4.2 set to be updated
--> Running transaction check
--> Processing Dependency: lame = 3.96.1 for package: lame-devel
--> Finished Dependency Resolution
Error: Missing Dependency: lame = 3.96.1 is needed by package lame-devel

prompt# rpm -qa | grep "^lame-"
lame-3.96.1-3.1.fc3.rf
lame-devel-3.96.1-3.1.fc3.rf

prompt# cat /etc/yum.repos.d/rpmforge.repo:
# Name: RPMforge RPM Repository for Fedora Core 3 - i386
# URL: http://rpmforge.net/
[rpmforge]
name = Fedora Core 3 - i386 - RPMforge.net - dag
#baseurl = http://apt.sw.be/fedora/3/en/$basearch/dag/
#mirrorlist = http://apt.sw.be/fedora/3/en/mirrors-rpmforge
mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge
enabled = 1
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1

prompt# cat /etc/yum.repos.d/mirrors-rpmforge:
http://archive.cs.uu.nl/mirror/dag.wieers/fedora/3/en/$ARCH/dag/
http://apt.sw.be/fedora/3/en/$ARCH/dag/
http://ftp2.lcpe.uni-sofia.bg/freshrpms/pub/dag/fedora/3/en/$ARCH/dag/
#http://ftp.heanet.ie/pub/freshrpms/pub/dag/fedora/3/en/$ARCH/dag/
http://ftp-stud.fht-esslingen.de/dag/fedora/3/en/$ARCH/dag/
http://mirror.cpsc.ucalgary.ca/mirror/dag/fedora/3/en/$ARCH/dag/
http://mirrors.ircam.fr/pub/dag/fedora/3/en/$ARCH/dag/
http://rh-mirror.linux.iastate.edu/pub/dag/fedora/3/en/$ARCH/dag/
http://rpmfind.net/linux/dag/fedora/3/en/$ARCH/dag/
http://wftp.tu-chemnitz.de/pub/linux/dag/fedora/3/en/$ARCH/dag/
http://www.mirrorservice.org/sites/apt.sw.be/fedora/3/en/$ARCH/dag/


Could You help me with proceeding with my update ?
Greetings



More information about the users mailing list